[**Flutter ETS API Documentation v1.0.0**](../../../README.md)

***

# Class: ToolUtils

Utility class for object operations.

## Constructors

### Constructor

> **new ToolUtils**(): `ToolUtils`

#### Returns

`ToolUtils`

## Methods

### implementsInterface()

> `static` **implementsInterface**(`obj`, `method`): `boolean`

Checks if an object implements a specific method (interface check).

#### Parameters

##### obj

`Any`

The object to check

##### method

`string`

The method name to check for

#### Returns

`boolean`

True if the object has the method and it's a function, false otherwise.

***

### isObj()

> `static` **isObj**(`object`): `boolean`

Checks if a value is an object.

#### Parameters

##### object

`Object`

The value to check

#### Returns

`boolean`

True if the value is an object, false otherwise.
